openssl_pkey_free
openssl_pkey_get_private
OpenSSL 함수 목록
PHP Manual

# openssl_pkey_get_details

(PHP 5 >= 5.2.0)

openssl_pkey_get_details — Returns an array with the key details

### 설명

array openssl_pkey_get_details ( resource `$key` )

This function returns the key details (bits, key, type).

### 인수

`key`

  Resource holding the key.

### 반환값

Returns an array with the key details in success or `FALSE` in failure. Returned array has indexes bits (number of bits), key (string representation of the public key) and type (type of the key which is one of `OPENSSL_KEYTYPE_RSA`, `OPENSSL_KEYTYPE_DSA`, `OPENSSL_KEYTYPE_DH`, `OPENSSL_KEYTYPE_EC` or -1 meaning unknown).

openssl_pkey_free
openssl_pkey_get_private
OpenSSL 함수 목록
PHP Manual